{% extends "dashboard_header.html" %}

{% block main %}

<h1>{{ name }} v{{ version }} - Dashboard (Account)</h1>
<h2>Welcome, <strong>{{ username }}</strong>!</h2>
<h3>Here is your account information:</h3>

<div aria-hidden="true" class="modal fade" id="regenerateKeyModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Regenerate key</h5>
                <button aria-label="Close" class="btn-close" data-bs-dismiss="modal" type="button"></button>
            </div>
            <div class="modal-body">
                <p>Are you sure you want to regenerate your upload key?</p>
            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-bs-dismiss="modal" type="button">No</button>
                <a class="btn btn-primary" href="{{ url_for('regenerate_key') }}"
                   style="background-color: var(--bs-red);">Yes</a>
            </div>
        </div>
    </div>
</div>

<div class="container">
    <div class="row">
        <div class="col">
            <div class="card" style="width: 18rem;">
                <div class="card-body">
                    <h5 class="card-title">Email</h5>
                    <p class="card-text">{{ email }}</p>
                </div>
            </div>
        </div>
        <div class="col">
            <div class="card" style="width: 18rem;">
                <div class="card-body">
                    <h5 class="card-title">UID</h5>
                    <p class="card-text">{{ uid }}</p>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <div class="card" style="width: 18rem;">
                <div class="card-body">
                    <h5 class="card-title">Upload key</h5>
                    <p class="card-text">{{ key }}</p>
                    <a class="btn btn-primary" data-bs-target="#regenerateKeyModal" data-bs-toggle="modal" href="#">Regenerate</a>
                </div>
            </div>
        </div>
        <div class="col">
            <div class="card" style="width: 18rem;">
                <div class="card-body">
                    <h5 class="card-title">Password</h5>
                    <a class="btn btn-primary" href="{{ url_for('change_password') }}">Change it</a>
                </div>
            </div>
        </div>
    </div>
</div>

<br>
<br>
<br>

<div aria-hidden="true" class="modal fade" id="deleteAccountModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Delete account</h5>
                <button aria-label="Close" class="btn-close" data-bs-dismiss="modal" type="button"></button>
            </div>
            <div class="modal-body">
                <p>Are you sure you want to delete your account and all uploaded images?</p>
            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-bs-dismiss="modal" type="button">No</button>
                <a class="btn btn-primary" href="{{ url_for('delete_account') }}"
                   style="background-color: var(--bs-red);">Yes</a>
            </div>
        </div>
    </div>
</div>


<div class="card" style="width: 18rem;">
    <div class="card-body">
        <h5 class="card-title" style="color: var(--bs-red);">Delete account</h5>
        <a class="btn btn-primary" data-bs-target="#deleteAccountModal" data-bs-toggle="modal" href="#">Delete your
            account</a>
    </div>
</div>

{% endblock %}